<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') -%>

    <link rel="stylesheet" href="/stylesheets/login-register.css">
    <link rel="stylesheet" href="/stylesheets/dashboard.css">

</head>

<body>
    <div class="setting">
        <!-- profile pic and username -->
        <div class="profile-username-setting">
            <form action="/profileUpdate/uploadAvatar" method="POST" enctype="multipart/form-data">
                <div class="avatar-wrapper">
                    <img class="profile-pic image-cropper" src=<%= avatar %> />
                    <div class="upload-button">
                        <i class="fas fa-cloud-upload-alt"></i>
                    </div>
                    <input name="avatar" class="file-upload" type="file" />
                </div>
            </form>
            <h4 class="text-center">
                <span><%- firstName %></span>
                <span><%- lastName %></span>
            </h4>
            <hr>
        </div>

        <!-- Setting -->
        <div class="setting-dashboard">
            <ul>
                <li><a href="#">صفحه اصلی سایت</a></li>
                <li><a href="http://localhost:1717/articles/">مشاهده مقالات</a></li>
                <li><a href="http://localhost:1717/profileUpdate/">ویرایش حساب کاربری</a></li>
                <li><a href="dashboard/logout">خروج</a></li>
            </ul>
        </div>

        <p class="copy-right">Copyright © 2020 Amin Alizadeh, All Rights Reserved</p>
    </div>

    <div class="dashboard-container">
        <% if (flag) { %>
        <%- include('./partials/profileDashboard.ejs', {
                firstName: firstName,
                lastName: lastName,
                userName: username,
                email: email,
                phone: phone,
                gender: gender
            }); %>
        <% } %>
    </div>

    <!-- Bootstrap and Fontawsome scripts -->
    <%- include('./partials/essentialScripts.ejs') %>

    <!-- My local scripts -->
    <script src="/javascripts/dashboard.js"></script>
</body>

</html>